org.apache.poi.hwpf.model

## Class PICF

- java.lang.Object
- - org.apache.poi.hwpf.model.types.PICFAbstractType
  - - org.apache.poi.hwpf.model.PICF

-     @Internal
      public class PICF
      extends PICFAbstractType

  The PICF structure specifies the type of a picture, as well as the size of the picture and information about its border.

  Class and fields descriptions are quoted from Microsoft Office Word 97-2007 Binary File Format and [MS-DOC] - v20110608 Word (.doc) Binary File Format

  Author:
    Sergey Vladimirov (vlsergey {at} gmail {dot} com)

- - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hwpf.model.types.PICFAbstractType

      `field_1_lcb, field_10_padding2, field_11_dxaGoal, field_12_dyaGoal, field_13_mx, field_14_my, field_15_dxaReserved1, field_16_dyaReserved1, field_17_dxaReserved2, field_18_dyaReserved2, field_19_fReserved, field_2_cbHeader, field_20_bpp, field_21_brcTop80, field_22_brcLeft80, field_23_brcBottom80, field_24_brcRight80, field_25_dxaReserved3, field_26_dyaReserved3, field_27_cProps, field_3_mm, field_4_xExt, field_5_yExt, field_6_swHMF, field_7_grf, field_8_padding, field_9_mmPM`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PICF()`
    `PICF(byte[] std, int offset)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `hashCode()`

    - ### Methods inherited from class org.apache.poi.hwpf.model.types.PICFAbstractType

      `fillFields, getBpp, getBrcBottom80, getBrcLeft80, getBrcRight80, getBrcTop80, getCbHeader, getCProps, getDxaGoal, getDxaReserved1, getDxaReserved2, getDxaReserved3, getDyaGoal, getDyaReserved1, getDyaReserved2, getDyaReserved3, getFReserved, getGrf, getLcb, getMm, getMmPM, getMx, getMy, getPadding, getPadding2, getSize, getSwHMF, getXExt, getYExt, serialize, serialize, setBpp, setBrcBottom80, setBrcLeft80, setBrcRight80, setBrcTop80, setCbHeader, setCProps, setDxaGoal, setDxaReserved1, setDxaReserved2, setDxaReserved3, setDyaGoal, setDyaReserved1, setDyaReserved2, setDyaReserved3, setFReserved, setGrf, setLcb, setMm, setMmPM, setMx, setMy, setPadding, setPadding2, setSwHMF, setXExt, setYExt, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PICF

          public PICF()

    - #### PICF

          public PICF(byte[] std,
                      int offset)

  - ### Method Detail

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.